# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.finance
Class PortfolioEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<PortfolioEntry>
                  com.google.gdata.data.finance.PortfolioEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class PortfolioEntry

extends BaseEntry<PortfolioEntry>

Describes an entry in a feed of Finance portfolios.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `CATEGORY` Portfolio kind category.
`static java.lang.String` `KIND` Portfolio kind term value.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`PortfolioEntry()` Default mutable constructor.
`PortfolioEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`PortfolioFeedLink` `getFeedLink()` Returns the position feed for the portfolio.
`PortfolioData` `getPortfolioData()` Returns the data for the portfolio.
`boolean` `hasFeedLink()` Returns whether it has the position feed for the portfolio.
`boolean` `hasPortfolioData()` Returns whether it has the data for the portfolio.
`void` `setFeedLink(PortfolioFeedLink feedLink)` Sets the position feed for the portfolio.
`void` `setPortfolioData(PortfolioData portfolioData)` Sets the data for the portfolio.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KIND

    public static final java.lang.String KIND

  Portfolio kind term value.

  See Also:
    Constant Field Values

### CATEGORY

    public static final Category CATEGORY

  Portfolio kind category.

Constructor Detail

### PortfolioEntry

    public PortfolioEntry()

  Default mutable constructor.

### PortfolioEntry

    public PortfolioEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getFeedLink

    public PortfolioFeedLink getFeedLink()

  Returns the position feed for the portfolio.

  Returns:
    position feed for the portfolio

### setFeedLink

    public void setFeedLink(PortfolioFeedLink feedLink)

  Sets the position feed for the portfolio.

  Parameters:
    `feedLink` - position feed for the portfolio or `null` to reset

### hasFeedLink

    public boolean hasFeedLink()

  Returns whether it has the position feed for the portfolio.

  Returns:
    whether it has the position feed for the portfolio

### getPortfolioData

    public PortfolioData getPortfolioData()

  Returns the data for the portfolio.

  Returns:
    data for the portfolio

### setPortfolioData

    public void setPortfolioData(PortfolioData portfolioData)

  Sets the data for the portfolio.

  Parameters:
    `portfolioData` - data for the portfolio or `null` to reset

### hasPortfolioData

    public boolean hasPortfolioData()

  Returns whether it has the data for the portfolio.

  Returns:
    whether it has the data for the portfolio

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`